<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>fateverse</artifactId>
        <groupId>cn.fateverse</groupId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>workflow</artifactId>

    <properties>
        <maven.compiler.source>11</maven.compiler.source>
        <maven.compiler.target>11</maven.compiler.target>
        <flowable.version>6.8.0</flowable.version>
        <maven.deploy.skip>true</maven.deploy.skip>
    </properties>


    <dependencies>
        <!--安全组件-->
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-security</artifactId>
        </dependency>
        <!--swagger文档-->
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-swagger</artifactId>
        </dependency>
        <!--日志记录-->
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-log</artifactId>
        </dependency>
        <!--mybatis组件-->
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-mybatis</artifactId>
        </dependency>
        <!--文件组件-->
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-file</artifactId>
        </dependency>
        <!--邮件发送组件-->
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-email</artifactId>
        </dependency>
        <!--软件消息通知-->
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>notice-api</artifactId>
        </dependency>
        <!-- 代码执行引擎 -->
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-code</artifactId>
        </dependency>
        <dependency>
            <groupId>xalan</groupId>
            <artifactId>serializer</artifactId>
            <version>2.7.2</version>
        </dependency>
        <!-- flowable -->
        <dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-spring-boot-starter</artifactId>
            <version>${flowable.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>org.flowable</groupId>
                    <artifactId>flowable-spring-boot-starter-app</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.flowable</groupId>
                    <artifactId>flowable-form-spring-configurator</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.flowable</groupId>
                    <artifactId>flowable-idm-spring-configurator</artifactId>
                </exclusion>
                <exclusion>
                    <artifactId>mybatis</artifactId>
                    <groupId>org.mybatis</groupId>
                </exclusion>
                <exclusion>
                    <groupId>org.liquibase</groupId>
                    <artifactId>liquibase-core</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.liquibase</groupId>
            <artifactId>liquibase-core</artifactId>
            <version>4.9.1</version>
        </dependency>
        <dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-bpmn-model</artifactId>
            <version>${flowable.version}</version>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-json-converter</artifactId>
            <version>${flowable.version}</version>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-bpmn-converter</artifactId>
            <version>${flowable.version}</version>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-excel</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>admin-api</artifactId>
        </dependency>
    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.7.3</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>